> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a SEPA XML file

> Deletes a SEPA XML file and the associated media file. The deletion is only allowed, when the `uploaded` property is `false`. All related payment transactions will be marked as unprocessed and can be used for a new SEPA XML file.

<sup>Required permissions: `sepa-xml:write`</sup>



## OpenAPI

````yaml delete /sepa-xml-files/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /sepa-xml-files/{id}:
    parameters: []
    delete:
      tags:
        - SepaXmlStatement
      summary: Delete a SEPA XML file
      description: >-
        Deletes a SEPA XML file and the associated media file. The deletion is
        only allowed, when the `uploaded` property is `false`. All related
        payment transactions will be marked as unprocessed and can be used for a
        new SEPA XML file.


        <sup>Required permissions: `sepa-xml:write`</sup>
      operationId: deleteSepaXmlFile
      parameters:
        - name: id
          in: path
          description: SepaXmlStatement identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '204':
          description: SepaXmlStatement resource deleted
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - sepa-xml:write
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X DELETE \
             /sepa-xml-files/{id} \
             --header "Authorization: Bearer <token>"
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````